Page MenuHomePhabricator

change protection level "autoreview" in Arwiki
Closed, ResolvedPublic

Description

hi, according to a local discussion and final decision, we need to change protection level of "autoreview" to be for "editors" group only (as local policy)

according to @Meno25, we need this change:

'wgRestrictionLevels' => [
	'default' => [
		'',
		'autoconfirmed', // semi-protection level on
		'sysop',
	],
	'arwiki' => [ '', 'autoconfirmed', 'autoreview', 'sysop' ], // T54109

to

'wgRestrictionLevels' => [
	'default' => [
		'',
		'autoconfirmed', // semi-protection level on
		'sysop',
	],
	'arwiki' => [ '', 'autoconfirmed', 'review', 'sysop' ], // T54109

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptSep 25 2016, 11:10 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 25 2016, 11:13 AM

You will need to move https://ar.wikipedia.org/wiki/%D9%85%D9%8A%D8%AF%D9%8A%D8%A7%D9%88%D9%8A%D9%83%D9%8A:Protect-level-autoreview to MediaWiki:Protect-level-review and change the text so it'll represent the state correctly.

You also can create new message (MediaWiki:Protect-level-review) with corresponding text and after this will be deployed, you can delete the old message only as it won't be used anywhere.

Change 312734 had a related patch set uploaded (by Urbanecm):
Change protection level autoreview in arwiki

https://gerrit.wikimedia.org/r/312734

During the week of 26th no non-emergency deploys can be deployed (our ops are offsite all the week) so the nearest possible window is at October 03 13:00-14:00 UTC. I'm going to schedule my change for this window.

Urbanecm triaged this task as Medium priority.Sep 25 2016, 11:24 AM
Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

done.

the old message has deleted, and I create new message Mediawiki:Protect-level-review

Okay, so nothing is needed from your side.

Change 312734 merged by jenkins-bot:
Change protection level autoreview in arwiki

https://gerrit.wikimedia.org/r/312734

Mentioned in SAL (#wikimedia-operations) [2016-10-03T13:31:00Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:312734|Change protection level autoreview in arwiki (T146575)]] (duration: 00m 48s)

Urbanecm closed this task as Resolved.Oct 3 2016, 1:32 PM
Urbanecm moved this task from To deploy to Done on the Wikimedia-Site-requests board.